Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.language.c.plugins
[Groovy] Class CLangPlugin

    java.lang.Object
      org.gradle.language.c.plugins.CLangPlugin

All Implemented Interfaces:
  Plugin

    @Incubating
    class CLangPlugin

Adds core C language support.

- For any FunctionalSourceSet, adds a conventional CSourceSet called 'cpp'.
- Establishes a convention for all CSourceSets so that sources are located in 'src//c' and headers are located in 'src//headers'.

Constructor Summary
`CLangPlugin(Instantiator instantiator)`

Method Summary
`void` | `apply(ProjectInternal project)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### CLangPlugin

    @Inject
    CLangPlugin(Instantiator instantiator)

Method Detail

### apply

    void apply(ProjectInternal project)

Gradle API 1.10